Subject: Re: [PATCH net-next v3 7/7] tls: rx: do not use the standard strparser

From: Jakub Kicinski <[email-masked]>
Date: Thu, 9 Mar 2023 09:54:36 -0800

On Thu, 9 Mar 2023 17:15:26 +0200 Tariq Toukan wrote:
> A few fixes were introduced for this patch, but it seems to still cause 
> issues.
> 
> I'm running simple client/server test with wrk and nginx and TLS RX 
> device offload on.
> It fails with TlsDecryptError on the client side for the large file 
> (256000b), while succeeding for the small one (10000b). See repro 
> details below.
> 
> I narrowed the issue down to this offending patch, by applying a few 
> reverts (had to solve trivial conflicts):

What's the sequence of records in terms of being offloaded vs fall back?
Could you whip up a simple ring buffer to see if previous records were
offloaded and what the skb geometries where?